do
	--give it a slash command
	_G["SlashCmdList"]["REALIDTOONS_MAIN"] = function() InterfaceOptionsFrame_OpenToCategory("RealID Toons") end
	_G["SLASH_REALIDTOONS_MAIN1"] = "/ridt"
	
	--localization
	local coloringTitle = "Color by class"
	local coloringDesc = "Colors your RealID friends' character names by class in the alerts"
	local realmTitle = "Add realm names"
	local realmDesc = "Add your RealID friends' realm to the alerts if they are on a different realm than you"
	
	--the actual interface
	local options = CreateFrame("FRAME", "RealID_ToonsConfig", InterfaceOptionsFramePanelContainer)
	options:Hide()
	options.name = "RealID Toons"
	InterfaceOptions_AddCategory(options)
	
	local title = options:CreateFontString("RealID_ToonsConfigTitle", "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -16)
	title:SetText("RealID Toons")
	
	local optColoring = CreateFrame("CheckButton", "RealID_ToonsConfigButton1", options)
	optColoring:SetWidth(26)
	optColoring:SetHeight(26)
	optColoring:SetPoint("TOPLEFT", 16, -52)
	optColoring:SetScript("OnShow", function(frame)
		if RID_TOONS_COLOR then
			frame:SetChecked(true)
		else
			frame:SetChecked(false)
		end
	end)
	optColoring:SetScript("OnClick", function(frame)
		local tick = frame:GetChecked()
		if tick then
			PlaySound("igMainMenuOptionCheckBoxOn")
			RID_TOONS_COLOR = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			RID_TOONS_COLOR = nil
		end
	end)
	optColoring:SetScript("OnEnter", function(frame)
		GameTooltip:SetOwner(frame)
		GameTooltip:ClearLines()
		GameTooltip:AddLine(coloringDesc)
		GameTooltip:Show()
	end)
	optColoring:SetScript("OnLeave", function(frame)
		GameTooltip:Hide()
	end)

	optColoring:SetHitRectInsets(0, -100, 0, 0)

	optColoring:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up")
	optColoring:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down")
	optColoring:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight")
	optColoring:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check")
	
	local optColoringTitle = optColoring:CreateFontString("RealID_ToonsConfigButton1Title", "ARTWORK", "GameFontHighlight")
	optColoringTitle:SetPoint("LEFT", optColoring, "RIGHT", 0, 1)
	optColoringTitle:SetText(coloringTitle)
	
	local optAddRealms = CreateFrame("CheckButton", "RealID_ToonsConfigButton2", options)
	optAddRealms:SetWidth(26)
	optAddRealms:SetHeight(26)
	optAddRealms:SetPoint("TOPLEFT", 16, -82)
	optAddRealms:SetScript("OnShow", function(frame)
		if RID_TOONS_REALM then
			frame:SetChecked(true)
		else
			frame:SetChecked(false)
		end
	end)
	optAddRealms:SetScript("OnClick", function(frame)
		local tick = frame:GetChecked()
		if tick then
			PlaySound("igMainMenuOptionCheckBoxOn")
			RID_TOONS_REALM = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			RID_TOONS_REALM = nil
		end
	end)
	optAddRealms:SetScript("OnEnter", function(frame)
		GameTooltip:SetOwner(frame)
		GameTooltip:ClearLines()
		GameTooltip:AddLine(realmDesc)
		GameTooltip:Show()
	end)
	optAddRealms:SetScript("OnLeave", function(frame)
		GameTooltip:Hide()
	end)

	optAddRealms:SetHitRectInsets(0, -100, 0, 0)

	optAddRealms:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up")
	optAddRealms:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down")
	optAddRealms:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight")
	optAddRealms:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check")

	local optAddRealmsTitle = optAddRealms:CreateFontString("RealID_ToonsConfigButton2Title", "ARTWORK", "GameFontHighlight")
	optAddRealmsTitle:SetPoint("LEFT", optAddRealms, "RIGHT", 0, 1)
	optAddRealmsTitle:SetText(realmTitle)
end